Skip to main content
GET
/
v1
/
{chainName}
/
address
/
{walletAddress}
/
historical_balances
GoldRush SDK
import { GoldRushClient } from "@covalenthq/client-sdk";

const ApiServices = async () => {
    const client = new GoldRushClient("YOUR_API_KEY");
    const resp = await client.BalanceService.getHistoricalTokenBalancesForWalletAddress({chainName: "chainName", walletAddress: "walletAddress"});
    console.log(resp.data);
};

ApiServices();
{
  "address": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "quote_currency": "<string>",
  "chain_id": 123,
  "chain_name": "<string>",
  "chain_tip_height": 123,
  "chain_tip_signed_at": "2023-11-07T05:31:56Z",
  "items": [
    {
      "contract_decimals": 123,
      "contract_name": "<string>",
      "contract_ticker_symbol": "<string>",
      "contract_address": "<string>",
      "supports_erc": [
        "<string>"
      ],
      "logo_url": "<string>",
      "block_height": 123,
      "last_transferred_block_height": 123,
      "contract_display_name": "<string>",
      "last_transferred_at": "2023-11-07T05:31:56Z",
      "native_token": true,
      "type": "<string>",
      "is_spam": true,
      "balance": "<string>",
      "quote_rate": 123,
      "quote": 123,
      "pretty_quote": "<string>",
      "protocol_metadata": {
        "protocol_name": "<string>"
      },
      "nft_data": [
        {
          "token_id": "<string>",
          "token_balance": "<string>",
          "token_url": "<string>",
          "supports_erc": [
            "<string>"
          ],
          "token_price_wei": "<string>",
          "token_quote_rate_eth": "<string>",
          "original_owner": "<string>",
          "external_data": {
            "name": "<string>",
            "description": "<string>",
            "image": "<string>",
            "image_256": "<string>",
            "image_512": "<string>",
            "image_1024": "<string>",
            "animation_url": "<string>",
            "external_url": "<string>",
            "attributes": [
              {
                "trait_type": "<string>",
                "value": "<string>"
              }
            ],
            "thumbnails": {
              "image_256": "<string>",
              "image_512": "<string>",
              "image_1024": "<string>",
              "image_opengraph_url": "<string>",
              "thumbhash": "<string>"
            },
            "image_preview": "<string>",
            "asset_properties": {
              "asset_width": 123,
              "asset_height": 123,
              "dominant_color": "<string>"
            },
            "owner": "<string>"
          },
          "owner": "<string>",
          "owner_address": "<string>",
          "burned": true
        }
      ]
    }
  ]
}

Credit Cost

1 per call

Processing

Realtime
Endpoint only supported on all Foundational Chains.Rebasing tokens (e.g. stETH, aTokens, cTokens) also supported on Foundational Chains.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form: Bearer <token>, where <token> is your GoldRush API Key.

Path Parameters

chainName
string
required

The chain name eg: eth-mainnet.

walletAddress
string
required

The requested address. Passing in an ENS, RNS, Lens Handle, or an Unstoppable Domain resolves automatically.

Query Parameters

quote-currency
string

The currency to convert. Supports USD, CAD, EUR, SGD, INR, JPY, VND, CNY, KRW, RUB, TRY, NGN, ARS, AUD, CHF, and GBP.

no-spam
boolean

If true, the suspected spam tokens are removed. Supported on all Foundational Chains.

block-height
integer

Ending block to define a block range. Omitting this parameter defaults to the latest block height.

date
string

Ending date to define a block range (YYYY-MM-DD). Omitting this parameter defaults to the current date.

Response

200 - application/json

Successful response

address
string

The requested address.

updated_at
string<date-time>

The timestamp when the response was generated. Useful to show data staleness to users.

quote_currency
string

The requested quote currency eg: USD.

chain_id
integer

The requested chain ID eg: 1.

chain_name
string

The requested chain name eg: eth-mainnet.

chain_tip_height
integer

The latest block height of the blockchain at the time this response was provided.

chain_tip_signed_at
string<date-time>

The timestamp of the latest signed block at the time this response was provided.

items
object[]

List of response items.